var simple_view = function ()
{
    var hosturl = $('#hosturl').val();

//    jQuery.fn.mybpmask = function () {
//        return this.each(function () {
//            $(this).keydown(function (e) {
//                var id = $(this).attr("data-id");
//                var colName = $(this).attr("data-colName");
//                var tableName = $(this).attr("data-tableName");
//                var key = e.which || e.keyCode;
//                if (!e.shiftKey && !e.altKey && !e.ctrlKey &&
//                        // numbers
//                        key >= 48 && key <= 57 ||
//                        // Numeric keypad
//                        key >= 96 && key <= 105 ||
//                        // comma, period and minus, . on keypad
//                        //key == 190 || key == 188 || key == 109 || key == 110 ||
//                        // Backspace and Tab and Enter
//                        key == 8 || key == 9 || key == 13 ||
//                        // Home and End
//                        key == 35 || key == 36 ||
//                        // left and right arrows
//                        key == 37 || key == 39 ||
//                        // Del and Ins
//                        key == 46 || key == 45)
//                {
//                    //alert($(this).val());
//                    var field = $(this);
//                    var prevValue = field.val();
//                    setTimeout(function () {
//                        var newvalue = field.val();
//                        // check if new value is more or equal to 255
//                        var res = newvalue.split("");
//                        //alert(jQuery.type(res));
//
//                        $slashIndex = res.indexOf("/");
//                        if ($slashIndex == -1)//not exist
//                        {
//                            if (res.length > 3)
//                            {
//                                //re arrange
//                                $temp3 = res[3];
//                                $temp4 = res[4];
//                                $temp5 = res[5];
//
//                                res[3] = '/';
//                                res[4] = $temp3;
//                                res[5] = $temp4;
//                                res[6] = $temp5;
//
//                                $newres = res.join("")
//                                field.val($newres);
//                            }
//                        }
//                        else if ($slashIndex != 3)
//                        {
//                            //remove it
//                            res[$slashIndex] = '';
//                            res = res.join("")
//                            res = res.split("");
//
//                            if (res.length > 3)
//                            {
//                                //re arrange
//                                $temp3 = res[3];
//                                $temp4 = res[4];
//                                $temp5 = res[5];
//
//                                res[3] = '/';
//                                res[4] = $temp3;
//                                res[5] = $temp4;
//                                res[6] = $temp5;
//
//
//                            }
//                            $newres = res.join("")
//                            field.val($newres);
//                            //then put it in index 3
//                        }
//                        //field.val(newvalue+'/');
//
//
//
//
//                        if (res.length > 7 && key != 46 && key != 8) {
//                            // fill with previous value
//                            field.val(prevValue);
//                        }
//
//
//
//                        var value = field.val();
//
//                        //var value = $(this).val();
//                        var controllName = $('#controllName').val();
//                        var patientId = $('#patientId').val();
//
//                        $.post(hosturl + '/controllers/' + controllName + '.php?ac=update', {id: id, value: value, tableName: tableName, colName: colName, patientId: patientId}, function (data)
//                        {
//                            $x = data;
//                        });
//
//                    }, 1);
//
//                    return true;
//                }
//
//                return false;
//            });
//        });
//    }

    $('body').on('click', '#addDiagnosisSimple', function ()
    {
        $.post(hosturl + '/controllers/followup.php?ac=newdiagsimple', function (res)
        {
            $("#diagnosisBody").prepend(res);
        });
    });




    var record = function ()
    {
        $('.all').on('click', '#record_add', function ()
        {
            var patientId = $('#patientId').val();
            $.post(hosturl + '/controllers/record.php?ac=newrow', {patientId: patientId}, function (res)
            {
                $("#recordsBody").prepend(res);
            });
        });
    };



    var followup = function ()
    {
        $(".bp_mask").inputmask("999/999", {
            autoUnmask: true});

        $('.all').on('click', '#addDiagnosisAnt', function ()
        {
            var followId = $('#followId').val();
            $.post(hosturl + '/controllers/followup.php?ac=newdiag', {followId: followId}, function (res)
            {
                $("#diagnosisBody").prepend(res);
            });
        });

        $('.all').on('click', '#addExam', function ()
        {
            var followId = $('#followId').val();
            $.post(hosturl + '/controllers/followup.php?ac=newexam', {followId: followId}, function (res)
            {
                $("#examinationBody").prepend(res);
            });
        });

        $('.all').on('click', '#addInvAnt', function ()
        {
            var followId = $('#followId').val();
            $.post(hosturl + '/controllers/followup.php?ac=newinv', {followId: followId}, function (res)
            {
                $("#investigationBody").prepend(res);
            });
        });

        $('.all').on('click', '#follow_add', function ()
        {
            var followId = $('#followId').val();
            $.post(hosturl + '/controllers/followup.php?ac=newvisit', {followId: followId}, function (res)
            {
                $("#visitBody").prepend(res);
            });
        });

        $('.all').on('click', '#endPreg', function ()
        {
            var id = $('#followId').val();
            var controllName = $('#controllName').val();
            var patientId = $('#patientId').val();

            $.post(hosturl + '/controllers/' + controllName + '.php?ac=update', {id: id, value: 1, tableName: 'followup', colName: 'status'}, function (res)
            {
                window.location = hosturl + '/controllers/' + controllName + '.php?patientid=' + patientId;
            });
        });

    };


    var infertility = function ()
    {
        $('.all').on('click', '#addDiagnosis', function ()
        {
            var infertilityId = $('#infertilityId').val();
            $.post(hosturl + '/controllers/infertility.php?ac=newdiagnosis', {infertilityId: infertilityId}, function (res)
            {
                $("#diagnosisBody").prepend(res);
            });
        });

        $('.all').on('click', '#addGyna', function ()
        {
            var infertilityId = $('#infertilityId').val();
            $.post(hosturl + '/controllers/infertility.php?ac=newgyna', {infertilityId: infertilityId}, function (res)
            {
                $("#gynaBody").prepend(res);
            });
        });

        $('.all').on('click', '#addInvs', function ()
        {
            var infertilityId = $('#infertilityId').val();
            $.post(hosturl + '/controllers/infertility.php?ac=newinvest', {infertilityId: infertilityId}, function (res)
            {
                $("#invBody").prepend(res);
            });
        });

        $('.all').on('click', '#addNotes', function ()
        {
            var infertilityId = $('#infertilityId').val();
            $.post(hosturl + '/controllers/infertility.php?ac=newnote', {infertilityId: infertilityId}, function (res)
            {
                $("#noteBody").prepend(res);
            });
        });

        $('.all').on('click', '#addLmp', function ()
        {
            var infertilityId = $('#infertilityId').val();
            $.post(hosturl + '/controllers/infertility.php?ac=newlmp', {infertilityId: infertilityId}, function (res)
            {
                $("#lmpBody").prepend(res);
            });
        });
    };



    return {
        //main function to initiate the module
        init: function ()
        {
            if ($('#controllName').val() == 'record')
            {
                record();
            }
            if ($('#controllName').val() == 'infertility')
            {
                infertility();
            }
            if ($('#controllName').val() == 'followup')
            {
                followup();
            }



        }

    };
}();